package com.zx.dataservice.task;

import com.zx.dataservice.service.ChoiceBondService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 解析东方财富实时数据
 */
@Component
public class AnalysisBondRestDataTask {

    private static final Logger log = LoggerFactory.getLogger(AnalysisBondRestDataTask.class);

    @Autowired
    private ChoiceBondService choiceBondService;

    @Async("executorBond")
    @Scheduled(fixedRate=10)
    public void toAnalysisRestData() {
        doTask();
    }

    public void doTask() {
        this.choiceBondService.analysisBondRestData();
    }
}
